curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/accounting-tax-rates/{tax_rate_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"code": "<string>",
"description": "<string>",
"effective_tax_rate": 5000,
"name": "<string>"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/accounting-tax-rates/{tax_rate_id}"
payload = {
"code": "<string>",
"description": "<string>",
"effective_tax_rate": 5000,
"name": "<string>"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: '<string>',
description: '<string>',
effective_tax_rate: 5000,
name: '<string>'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/accounting-tax-rates/{tax_rate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"components": [
{
"is_compound": true,
"name": "<string>",
"rate": 123
}
],
"description": "<string>",
"effective_tax_rate": 123,
"is_external": false,
"name": "<string>",
"status": "<string>",
"total_tax_rate": 123
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Update a tax rate
Update an existing tax rate account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
Schema for updating an existing tax rate.
Code for the tax rate from the accounting platform
500Description of the tax rate
2048Effective tax rate in percent minor units. Example: 12.5% is 1250.
0 <= x <= 10000Name of the tax rate
500Response
Successful Response
The timestamp when the tax rate was created.
The timestamp when the tax rate was last updated.
Code for the tax rate from the accounting platform.
Show child attributes
Show child attributes
Description of the tax rate
Effective tax rate in percent minor units. Example: 12.5% is 1250.
Whether the tax rate is from an external system
Total (not compounded) sum of the components of a tax rate in minor units. Example: 12.5% is 1250.
Was this page helpful?